% RA: argumentacion-1.in
% Lucero no es más rápido que Orejón (1)
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Formalización
%==============================================================================

formula_list(sos).
 all x y (CABALLO(x) & PERRO(y) -> MAS_RAPIDO(x,y)).
 exists x (GALGO(x) & (all y (CONEJO(y) -> MAS_RAPIDO(x,y)))).
 CABALLO(Lucero).
 CONEJO(Orejon).
 all x (GALGO(x) -> PERRO(x)).
 all x (CONEJO(x) -> -PERRO(x)).
 all x (CONEJO(x) -> -CABALLO(x)).
 all x (PERRO(x) -> -CABALLO(x)).
 all x y z (MAS_RAPIDO(x,y) & MAS_RAPIDO(y,z) -> MAS_RAPIDO(x,z)).
 -MAS_RAPIDO(Lucero,Orejon).
end_of_list.

%==============================================================================
